Update Static Account

POST https://online.sandbox.tingg.africa/approval/checkout-translation-service/custom/requests/update-virtual-account
POST https://checkout.tingg.africa/checkout-translation-service/custom/requests/update-virtual-account

Header Parameters

HeaderValueRequired
AuthorizationBearer <Bearer_Token> generated during authenticate request in step 1.YES
Content-Typeapplication/jsonYES

Request Parameters

Parameter NameTypeDescriptionRequired
merchantRefstringThis is a uniqueID on merchant’s end for every request to generate a static account.TRUE
accountNamestringThis is the name the customer will see when paying into the virtual account.TRUE
serviceCodestringThe customer’s unique code to identify the merchant on checkout.TRUE
virtualAccountstringVirtual account that you can use to pay into for all your payment requests.TRUE
bvnstringThis is the bank verification number issued to the customer or merchantTRUE
amountstringAmount to be paid to the virtual account however it does not prevent the customer from changing the amounts they pay into the account.TRUE
paymentTypestringThis is to indicate which bank to process the payment via e.g
WEMA– for Wema Bank, STERLING – for sterling bank and ZENITH– for Zenith bank
TRUE

Example

{
    "merchantRef": "8398424REGRT422",
    "accountName": "<ACCOUNT_NAME>",
    "serviceCode": "<SERVICE_CODE>",
    "virtualAccount": "<VIRTUAL_ACCOUNT>",,
    "bvn": "12345678910",
		"amount":"100",
		"paymentType":"WEMA"
}

Response Parameters

Parameter NameTypeDescription
statusCodestringRequest status code. See full status code details below
statusDescriptionstringDescription of the transaction status

Example

Successful Response

{
  "status":{
    "statusCode": 200,
    "statusDescription": "Request processed successfully"
  }
}

Failure Response

{
    "status": {
        "statusCode": 422,
        "statusDescription": "serviceCode does not exist"
    }
}

Authentication Failure Response

{
    "message": "Unauthenticated.",
    "status_code": 500
}